Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 510134 - dev-util/systemtap-2.4-r1 - ia64-unknown-linux-gnu-g++: In function ‘void add_script_to_cache(systemtap_session&)’: cache.cxx:94:1: error: ‘asm’ operand has impossible constraints
Summary: dev-util/systemtap-2.4-r1 - ia64-unknown-linux-gnu-g++: In function ‘void add...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: IA64 Linux
: Normal normal (vote)
Assignee: Sven Wegener
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2014-05-12 08:48 UTC by Émeric Maschino
Modified: 2017-11-07 23:18 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,20.98 KB, text/plain)
2014-05-12 08:48 UTC, Émeric Maschino
Details
systemtap-3.1-ia64.patch (systemtap-3.1-ia64.patch,621 bytes, patch)
2017-11-04 19:06 UTC, Sergei Trofimovich
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Émeric Maschino 2014-05-12 08:48:31 UTC
Created attachment 376768 [details]
build.log

Now that gcc:4.7 is ia64 stable, I've switched from gcc-4.6.3 and rebuilt my whole tree. While systemtap was successfully built with gcc:4.6, it's failing with gcc:4.7.

From build.log, relevant part seems to be:

cache.cxx: In function ‘void add_script_to_cache(systemtap_session&)’:
cache.cxx:94:1: error: ‘asm’ operand has impossible constraints

     Émeric
Comment 1 Émeric Maschino 2014-05-12 08:50:03 UTC
emerge --info output:

Portage 2.2.8-r1 (default/linux/ia64/13.0/desktop/gnome/systemd, gcc-4.7.3, glibc-2.17, 3.12.13-gentoo ia64)
=================================================================
System uname: Linux-3.12.13-gentoo-ia64-Madison-with-gentoo-2.2
KiB Mem:    24984272 total,  22181312 free
KiB Swap:     524272 total,    524272 free
Timestamp of tree: Mon, 12 May 2014 07:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.5-r3, 3.3.3
dev-util/cmake:           2.8.11.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo my_ebuilds
ACCEPT_KEYWORDS="ia64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="ia64-unknown-linux-gnu"
CFLAGS="-mtune=itanium2 -O2 -pipe"
CHOST="ia64-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-mtune=itanium2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://mirrors.linuxant.fr/distfiles.gentoo.org/"
LANG="fr_FR.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/my_ebuilds"
USE="X a52 aac acl acpi alsa berkdb branding bzip2 cairo cdda cdr cli colord cracklib crypt cups cxx dbus dri dts dvdr eds encode evo exif fam firefox flac fortran gdbm gif gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk ia64 iconv introspection ipv6 jpeg lcms ldap libnotify libsecret mad mng modules mp3 mp4 mpeg nautilus ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pulseaudio qt3support qt4 readline sdl session socialweb spell ssl startup-notification svg systemd tcpd tiff truetype udev udisks unicode upower usb vorbis wxwidgets xcb xml xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="fr" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Comment 2 Émeric Maschino 2014-05-12 08:50:50 UTC
emerge -pqv output:

[ebuild   R   ] dev-util/systemtap-2.4-r1  USE="-sqlite" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7"
Comment 3 Émeric Maschino 2014-08-13 21:49:20 UTC
(In reply to Émeric Maschino from comment #0)
> Now that gcc:4.7 is ia64 stable, I've switched from gcc-4.6.3 and rebuilt my
> whole tree. While systemtap was successfully built with gcc:4.6, it's
> failing with gcc:4.7.

No better with gcc:4.8 that's now ia64 stable.

     Émeric
Comment 4 Émeric Maschino 2014-11-15 18:34:00 UTC
(In reply to Émeric Maschino from comment #3)
> (In reply to Émeric Maschino from comment #0)
> > Now that gcc:4.7 is ia64 stable, I've switched from gcc-4.6.3 and rebuilt my
> > whole tree. While systemtap was successfully built with gcc:4.6, it's
> > failing with gcc:4.7.
> 
> No better with gcc:4.8 that's now ia64 stable.
> 
>      Émeric

Just to correct myself for future references: gcc:4.8 isn't ia64 stable at all at the moment!

BTW, systemtap-2.5 still fails to emerge with gcc:4.7 while it's fine with gcc:4.6.

     Émeric
Comment 5 Sergei Trofimovich gentoo-dev 2017-11-04 19:06:29 UTC
Created attachment 502530 [details, diff]
systemtap-3.1-ia64.patch

Looks like this one is easy to fix. Attached narrowing tweak that makes build pass here.
Comment 6 Larry the Git Cow gentoo-dev 2017-11-07 23:08:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aba6b82f56ee4e00781f4c22fcd5b6f86554215b

commit aba6b82f56ee4e00781f4c22fcd5b6f86554215b
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2017-11-07 23:07:52 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2017-11-07 23:07:52 +0000

    dev-util/systemtap: tweak operand constraints for ia64, bug #510134
    
    Reported-by: Émeric Maschino
    Closes: https://bugs.gentoo.org/510134
    Package-Manager: Portage-2.3.13, Repoman-2.3.4

 dev-util/systemtap/files/systemtap-3.1-ia64.patch | 23 +++++++++++++++++++++++
 dev-util/systemtap/systemtap-3.1-r1.ebuild        |  2 ++
 2 files changed, 25 insertions(+)
Comment 7 Larry the Git Cow gentoo-dev 2017-11-07 23:18:53 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=988a4482ed5f7d16172e8775423c9d9d5e958032

commit 988a4482ed5f7d16172e8775423c9d9d5e958032
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2017-11-07 23:17:03 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2017-11-07 23:17:03 +0000

    dev-util/systemtap: cover mainloop.c as well, bug #510134
    
    Bug: https://bugs.gentoo.org/510134
    Package-Manager: Portage-2.3.13, Repoman-2.3.4

 dev-util/systemtap/files/systemtap-3.1-ia64.patch | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)}